package com.jxy.marketall.enums;

public enum GDPType {

    PCE("PCE", "PCE","PCEList"),
    PCEG("PCE", "PCEDG+PCEND","PCEGoodsList"),
    PCEDG("PCE", "PCEDG","PCEDurableGoodsList"),
    PCEND("PCE", "PCEND","PCENondurableGoodsList"),
    PCES("PCE", "PCES","PCEServicesList"),
    GPDI("GPDI", "GPDI","GPDIList"),
    FPI("GPDI", "FPI","FPIList"),
    CBI("GPDI", "CBI","CBIList"),
    NETEXP("NETEXP", "NETEXP","NETEXPList"),
    IMPGS("NETEXP", "IMPGS","IMPGSList"),
    EXPGS("NETEXP", "EXPGS","EXPGSList"),
    NOMINALGDP("CurrentGDP", "nominalGDP","NominalGDPList"),
    REALGDP("CurrentGDP", "realGDP","RealGDPList"),
    NOMINALRATEQ("CurrentGDP", "nominalRateQ","NominalRateQList"),
    REALRATEQ("CurrentGDP", "realRateQ","RealRateQList"),
    NOMINALRATEY("CurrentGDP", "nominalRateY","NominalRateYList"),
    REALRATEY("CurrentGDP", "realRateY","RealRateYList");

    private final String table;
    private final String filed;
    private final String key;

    GDPType(String table, String filed, String key) {
        this.table = table;
        this.filed = filed;
        this.key = key;
    }


    public String getTable()
    {
        return table;
    }

    public String getFiled()
    {
        return filed;
    }

    public String getKey()
    {
        return key;
    }
}
